<?php

/************************************************************************************/
/*                                                                                  */
/* Maty Scripts Analysis for PHP-Nuke 6.5-6.8                                       */
/* v1.1                                                                             */
/*                                                                                  */
/* Copyright  2002 by: Maty Scripts (webmaster@matyscripts.com)                    */
/* http://www.matyscripts.com                                                       */
/*                                                                                  */
/* This program is free software. You can redistribute it and/or modify             */
/* it under the terms of the GNU General Public License as published by             */
/* the Free Software Foundation; either version 2 of the License.                   */
/*                                                                                  */
/************************************************************************************/

$index = 0;
$module_name = basename( dirname( __FILE__ ) );

if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

if( isset( $newlang ) ) {
   include( "modules/$module_name/language/lang-$newlang.php" );
   $language = $newlang;
} elseif ( isset( $lang ) ) {
   include( "modules/$module_name/language/lang-$lang.php" );
   $language = $lang;
} else {
   include( "modules/$module_name/language/lang-$language.php" );
}
require_once( "mainfile.php" );
require_once( "modules/$module_name/include/class.general.php" );

/******************************************************************************/
/* FUNCTION: MSAnalysisDetails()                                              */
/* Show Detailed Overview of all Countries                                    */
/******************************************************************************/
function MSAnalysisDetails( $screen, $overview )
{
   global $prefix, $db, $module_name, $admin;
   	
   include( "header.php" );
   include( "modules/$module_name/menu.php" );

   // Display OVERVIEW Time period options
   $msa = new msanalysis();
   $DateToday = $msa->MSLogDate( 1 );
   
   // Grep xdays and determine how many days the data is logged for that specific overview
   $result = $db->sql_query( "select xdate from $prefix"._msanalysis_admin." where id='1'" );
   list( $xdate ) = $db->sql_fetchrow( $result );
   $xd = $msa->DaysOld( $xdate . "00:00:00" ) + 1;

   // Display OVERVIEW Time period options
   OpenTable();
   echo "<form enctype=\"multipart/form-data\" method=\"post\" action=\"modules.php?name=$module_name&file=details&op=MSAnalysisDetails&screen=$screen&overview=$overview\">";
   echo "<center><b><h5>"._MSA_OVERVIEWPERIODS."</b></h5><select name=\"overview\" size=\"1\" onChange=\"submit()\">";
   if( $overview == 1 ) echo "<option value=\"1\" selected>"._MSA_OVERVIEWTODAY."</option>\n"; else echo "<option value=\"1\">"._MSA_OVERVIEWTODAY."</option>\n";
   if( $overview == 2 ) echo "<option value=\"2\" selected>"._MSA_OVERVIEWLASTDAYS1." $xd "._MSA_OVERVIEWLASTDAYS2."</option>\n"; else echo "<option value=\"2\">"._MSA_OVERVIEWLASTDAYS1." $xd "._MSA_OVERVIEWLASTDAYS2."</option>\n";
   if( $overview == 3 ) echo "<option value=\"3\" selected>"._MSA_OVERVIEWALL."</option>\n"; else echo "<option value=\"3\">"._MSA_OVERVIEWALL."</option>\n";
   echo "</select></center></form></center>\n";
   CloseTable();
   echo "<br>\n";
   
   // Get the maximum amount of lines that should be displayed
   $result = $db->sql_query( "select max_view from $prefix"._msanalysis_admin." where id='1'" );
   list( $max_view ) = $db->sql_fetchrow( $result );

   switch( $screen ) {
      case 1:
        MSAnalysisCountries( $max_view, $screen, $overview, $DateToday, $xdate );
      break;
      case 2:
        MSAnalysisReferrals( $max_view, $screen, $overview, $DateToday, $xdate  );
      break;
      case 3:
        MSAnalysisSE( $max_view, $screen, $overview, $DateToday, $xdate  );
        MSAnalysisSESQ( $max_view, "8", $overview, $DateToday, $xdate  );        
      break;
      case 4:
        MSAnalysisBrowsers( $max_view, $screen, $overview, $DateToday, $xdate  );
      break;
      case 5:
        MSAnalysisOS( $max_view, $screen, $overview, $DateToday, $xdate  );
      break;
      case 6:
        MSAnalysisModules( $max_view, $screen, $overview, $DateToday, $xdate  );
      break;
      case 7:
        MSAnalysisUsers( $max_view, $screen, $overview, $DateToday, $xdate  );
      break;
      case 9:
        MSAnalysisResolutions( $max_view, $screen, $overview, $DateToday, $xdate  );
      break;      
    default:
        MSAnalysisCountries( $max_view, $screen, $overview, $DateToday, $xdate  );
   }
   
   include( "footer.php" );
}

/******************************************************************************/
/* FUNCTION: MSAnalysisCountries()                                            */
/* Show Detailed Overview of all Countries                                    */
/******************************************************************************/
function MSAnalysisCountries( $max_view, $screen, $overview, $DateToday, $xdate )
{
   global $prefix, $db, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen, $overview, $DateToday, $xdate );
   $totalentries = $msa->CountLines( $screen, $overview, $DateToday, $xdate );
   // Show detailed list of Countries
   include( "modules/$module_name/scripts/countries.php" );
} // END function MSAnalysisCountries( )

/******************************************************************************/
/* FUNCTION: MSAnalysisReferrals()                                            */
/* Show Detailed Overview of all Referrals                                    */
/******************************************************************************/
function MSAnalysisReferrals( $max_view, $screen, $overview, $DateToday, $xdate )
{
   global $prefix, $db, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen, $overview, $DateToday, $xdate );
   $totalentries = $msa->CountLines( $screen, $overview, $DateToday, $xdate );
   
   // Show Detailed list of Referrals   
   include( "modules/$module_name/scripts/referrals.php" );
} // END function MSAnalysisReferrals( )

/******************************************************************************/
/* FUNCTION: MSAnalysisSE()                                                   */
/* Show Detailed Overview of all Search Engines AND Queries                   */
/******************************************************************************/
function MSAnalysisSE( $max_view, $screen, $overview, $DateToday, $xdate )
{
   global $prefix, $db, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen, $overview, $DateToday, $xdate );
   $totalentries = $msa->CountLines( $screen, $overview, $DateToday, $xdate );
   // Show Detailed list of Search Engines
   include( "modules/$module_name/scripts/se.php" );
} // END function MSAnalysisSE( )

/******************************************************************************/
/* FUNCTION: MSAnalysisSESQ()                                                 */
/* Show Detailed Overview of all Search Engine Queries                        */
/******************************************************************************/
function MSAnalysisSESQ( $max_view, $screen, $overview, $DateToday, $xdate )
{
   global $prefix, $db, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;
   
   $counter = 0;
   $msa = new msanalysis();   
   $totalhits = $msa->TotalHits( $screen, $overview, $DateToday, $xdate );
   $totalentries = $msa->CountLines( $screen, $overview, $DateToday, $xdate );
   // Show Detailed list of Search Engine Queries
   include( "modules/$module_name/scripts/seq.php" );
} // END function MSAnalysisSESQ( )

/******************************************************************************/
/* FUNCTION: MSAnalysisBrowsers()                                             */
/* Show Detailed Overview of all Browsers and Webcrawlers                     */
/******************************************************************************/
function MSAnalysisBrowsers( $max_view, $screen, $overview, $DateToday, $xdate )
{
   global $prefix, $db, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen, $overview, $DateToday, $xdate );
   $totalentries = $msa->CountLines( $screen, $overview, $DateToday, $xdate );
   // Show Detailed list of Browsers and Webcrawlers
   include( "modules/$module_name/scripts/browsers.php" );
} // END function MSAnalysisBrowsers( )

/******************************************************************************/
/* FUNCTION: MSAnalysisOS()                                                   */
/* Show Detailed Overview of all OS                                           *
/******************************************************************************/
function MSAnalysisOS( $max_view, $screen, $overview, $DateToday, $xdate )
{
   global $prefix, $db, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen, $overview, $DateToday, $xdate );
   $totalentries = $msa->CountLines( $screen, $overview, $DateToday, $xdate );
   // Show Detailed list of Operating Systems
   include( "modules/$module_name/scripts/os.php" );
} // END function MSAnalysisOS( )

/******************************************************************************/
/* FUNCTION: MSAnalysisModules()                                              */
/* Show Detailed Overview of all Modules                                      */
/******************************************************************************/
function MSAnalysisModules( $max_view, $screen, $overview, $DateToday, $xdate )
{
   global $prefix, $db, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen, $overview, $DateToday, $xdate );
   $totalentries = $msa->CountLines( $screen, $overview, $DateToday, $xdate );
   // Show Detailed list of invoked Modules
   include( "modules/$module_name/scripts/modules.php" );
} // END function MSAnalysisModules( )


/******************************************************************************/
/* FUNCTION: MSAnalysisUsers()                                                */
/* Show Detailed Overview of all Users                                        */
/******************************************************************************/
function MSAnalysisUsers( $max_view, $screen, $overview, $DateToday, $xdate )
{
   global $prefix, $db, $module_name, $admin, $bgcolor1, $bgcolor2;
   $msa = new msanalysis();
   $totalentries = $msa->CountLines( $screen, $overview, $DateToday, $xdate );
   // Show Detailed list of Users
   include( "modules/$module_name/scripts/users.php" );
} // END function MSAnalysisUsers( )

/******************************************************************************/
/* FUNCTION: MSAnalysisResolutions()                                          */
/* Show Detailed Overview of all Screen Resolutions                           */
/******************************************************************************/
function MSAnalysisResolutions( $max_view, $screen, $overview, $DateToday, $xdate )
{
   global $prefix, $db, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen, $overview, $DateToday, $xdate );
   $totalentries = $msa->CountLines( $screen, $overview, $DateToday, $xdate );
   // Show Detailed list of Screen Resolutions
   include( "modules/$module_name/scripts/scr.php" );   
} // END function MSAnalysisResolution( )


/******************************************************************************/
/* FUNCTION: MSAnalysisCountriesDel()                                         */
/* Delete selected item from Country Table                                    */
/******************************************************************************/
function MSAnalysisCountriesDel( $id, $screen, $overview )
{
   global $prefix, $db;
   
   if( $overview == 1) {
      $result = $db->sql_query( "update $prefix"._msanalysis_countries." set hitstoday=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   elseif( $overview == 2) {
      $result = $db->sql_query( "update $prefix"._msanalysis_countries." set hitsxdays=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   else {
      $result = $db->sql_query( "DELETE FROM $prefix"._msanalysis_countries." WHERE id='$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   MSAnalysisDetails( $screen, $overview );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisReferralsDel()                                         */
/* Delete selected item from Referrals Table                                  */
/******************************************************************************/
function MSAnalysisReferralsDel( $id, $screen, $overview )
{
   global $prefix, $db;

   if( $overview == 1) {
      $result = $db->sql_query( "update $prefix"._msanalysis_referrals." set hitstoday=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   elseif( $overview == 2) {
      $result = $db->sql_query( "update $prefix"._msanalysis_referrals." set hitsxdays=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   else {
      $result = $db->sql_query( "DELETE FROM $prefix"._msanalysis_referrals." WHERE id='$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   MSAnalysisDetails( $screen, $overview );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisSEDel()                                                */
/* Delete selected item from Referrals Table !!!!!!!                          */
/******************************************************************************/
function MSAnalysisSEDel( $id, $screen, $overview )
{
   global $prefix, $db;

   if( $overview == 1) {
      $result = $db->sql_query( "update $prefix"._msanalysis_referrals." set hitstoday=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   elseif( $overview == 2) {
      $result = $db->sql_query( "update $prefix"._msanalysis_referrals." set hitsxdays=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   else {
      $result = $db->sql_query( "DELETE FROM $prefix"._msanalysis_referrals." WHERE id='$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   MSAnalysisDetails( $screen, $overview );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisSESQDel()                                              */
/* Delete selected item from Search Table                                     */
/******************************************************************************/
function MSAnalysisSESQDel( $id, $screen, $overview )
{
   global $prefix, $db;

   if( $overview == 1) {
      $result = $db->sql_query( "update $prefix"._msanalysis_search." set hitstoday=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   elseif( $overview == 2) {
      $result = $db->sql_query( "update $prefix"._msanalysis_search." set hitsxdays=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   else {
      $result = $db->sql_query( "DELETE FROM $prefix"._msanalysis_search." WHERE id='$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   MSAnalysisDetails( 3, $overview );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisBrowsersDel()                                          */
/* Delete selected item from Browsers Table                                   */
/******************************************************************************/
function MSAnalysisBrowsersDel( $id, $screen, $overview )
{
   global $prefix, $db;

   if( $overview == 1) {
      $result = $db->sql_query( "update $prefix"._msanalysis_browsers." set hitstoday=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   elseif( $overview == 2) {
      $result = $db->sql_query( "update $prefix"._msanalysis_browsers." set hitsxdays=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   else {
      $result = $db->sql_query( "DELETE FROM $prefix"._msanalysis_browsers." WHERE id='$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   MSAnalysisDetails( $screen, $overview );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisOSDel()                                                */
/* Delete selected item from OS Table                                         */
/******************************************************************************/
function MSAnalysisOSDel( $id, $screen, $overview )
{
   global $prefix, $db;

   if( $overview == 1) {
      $result = $db->sql_query( "update $prefix"._msanalysis_os." set hitstoday=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   elseif( $overview == 2) {
      $result = $db->sql_query( "update $prefix"._msanalysis_os." set hitsxdays=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   else {
      $result = $db->sql_query( "DELETE FROM $prefix"._msanalysis_os." WHERE id='$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   MSAnalysisDetails( $screen, $overview );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisModulesDel()                                           */
/* Delete selected item from Modules Table                                    */
/******************************************************************************/
function MSAnalysisModulesDel( $id, $screen, $overview )
{
   global $prefix, $db;

   if( $overview == 1) {
      $result = $db->sql_query( "update $prefix"._msanalysis_modules." set hitstoday=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   elseif( $overview == 2) {
      $result = $db->sql_query( "update $prefix"._msanalysis_modules." set hitsxdays=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   else {
      $result = $db->sql_query( "DELETE FROM $prefix"._msanalysis_modules." WHERE id='$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   MSAnalysisDetails( $screen, $overview );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisUsersDel()                                             */
/* Delete selected item from Users Table                                      */
/******************************************************************************/
function MSAnalysisUsersDel( $uid, $screen, $overview )
{
   global $prefix, $db;
   
   if( $overview == 1) {
      $result = $db->sql_query( "update $prefix"._msanalysis_users." set hitstoday=0 WHERE uid = '$uid'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   elseif( $overview == 2) {
      $result = $db->sql_query( "update $prefix"._msanalysis_users." set hitsxdays=0 WHERE uid = '$uid'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   else {
      $result = $db->sql_query( "DELETE FROM $prefix"._msanalysis_users." WHERE uid='$uid'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   MSAnalysisDetails( $screen, $overview );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisResolutionsDel()                                       */
/* Delete selected Resolution from Resolution Table                           */
/******************************************************************************/
function MSAnalysisResolutionsDel( $id, $screen, $overview )
{
   global $prefix, $db;

   if( $overview == 1) {
      $result = $db->sql_query( "update $prefix"._msanalysis_scr." set hitstoday=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   elseif( $overview == 2) {
      $result = $db->sql_query( "update $prefix"._msanalysis_scr." set hitsxdays=0 WHERE id = '$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   else {
      $result = $db->sql_query( "DELETE FROM $prefix"._msanalysis_scr." WHERE id='$id'" );
      if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   }
   MSAnalysisDetails( $screen, $overview );
}

/***************************************************/
/****************** PROGRAM START ******************/
/***************************************************/
switch ( $op )
{
    case "MSAnalysisDetails":
       MSAnalysisDetails( $screen, $overview );
    break;

    case "MSAnalysisCountries":
       MSAnalysisCountries( $max_view, $screen, $overview, $DateToday, $xdate );
    break;
    
    case "MSAnalysisReferrals":
       MSAnalysisReferrals( $max_view, $screen, $overview, $DateToday, $xdate );
    break;
    
    case "MSAnalysisSE":
       MSAnalysisSE( $max_view, $screen, $overview, $DateToday, $xdate );
    break;

    case "MSAnalysisSESQ":
       MSAnalysisSESQ( $max_view, $screen, $overview, $DateToday, $xdate );
    break;

    case "MSAnalysisBrowsers":
       MSAnalysisBrowsers( $max_view, $screen, $overview, $DateToday, $xdate );
    break;
    
    case "MSAnalysisOS":
       MSAnalysisOS( $max_view, $screen, $overview, $DateToday, $xdate );
    break;
    
    case "MSAnalysisModules":
       MSAnalysisModules( $max_view, $screen, $overview, $DateToday, $xdate );
    break;

    case "MSAnalysisUsers":
       MSAnalysisUsers( $max_view, $screen, $overview, $DateToday, $xdate );
    break;

    case "MSAnalysisResolutions":
       MSAnalysisResolutions( $max_view, $screen, $overview, $DateToday, $xdate );
    break;

    case "MSAnalysisCountriesDel":
       MSAnalysisCountriesDel( $id, $screen, $overview );
    break;
    
    case "MSAnalysisReferralsDel":
       MSAnalysisReferralsDel( $id, $screen, $overview );
    break;
    
    case "MSAnalysisSEDel":
       MSAnalysisSEDel( $id, $screen, $overview );
    break;

    case "MSAnalysisSESQDel":
       MSAnalysisSESQDel( $id, $screen, $overview );
    break;

    case "MSAnalysisBrowsersDel":
       MSAnalysisBrowsersDel( $id, $screen, $overview );
    break;
    
    case "MSAnalysisOSDel":
       MSAnalysisOSDel( $id, $screen, $overview );
    break;
    
    case "MSAnalysisModulesDel":
       MSAnalysisModulesDel( $id, $screen, $overview );
    break;

    case "MSAnalysisUsersDel":
       MSAnalysisUsersDel( $uid, $screen, $overview );
    break;

    case "MSAnalysisResolutionsDel":
       MSAnalysisResolutionsDel( $id, $screen, $overview );
    break;

    default:
       MSAnalysisDetails( $screen, $overview, $overview );
}


?>

