<?php

/************************************************************************************/
/*                                                                                  */
/* Maty Scripts Analysis for PHP-Nuke 6.5-6.8                                       */
/* v1.1                                                                             */
/*                                                                                  */
/* class.client.php by: Mat Verdonschot                                             */
/* Copyright  2002 by: Maty Scripts (webmaster@matyscripts.com)                    */
/* http://www.matyscripts.com                                                       */
/*                                                                                  */
/* Initial version: Will Chapman  http://www.dreamscripts.net/index.php             */
/* Maty Scripts added and updated the initial class routines:                       */
/* client_info() -  get_os() -  chk_crawler() -  get_user_agent()                   */
/* All other routines were written by: (c) Maty Scripts                             */
/*                                                                                  */
/* This program is free software. You can redistribute it and/or modify             */
/* it under the terms of the GNU General Public License as published by             */
/* the Free Software Foundation; either version 2 of the License.                   */
/*                                                                                  */
/************************************************************************************/
global $MSSearchEngines;
include(dirname(__FILE__) . '/searchengines.php' );

class client_info 
{ 
    var $platform;
    var $browser;
    var $robots;
    
    /******************************************************/
    /*                                                    */
    /* Constructor function client_info()                 */
    /*                                                    */
    /******************************************************/
    function client_info() 
    {
       $this->robots = array( "Alexibot", "asterias", "BackDoorBot", "Black.Hole", "BlowFish", "BotALot", "BuiltBotTough", "Bullseye",
                              "BunnySlippers", "Cegbfeieh", "CheeseBot", "CherryPicker", "CopyRightCheck", "cosmos", "crawler", "Crescent", "DittoSpyder",
                              "EmailCollector", "EmailSiphon", "EmailWolf", "EroCrawler", "ExtractorPro", "FAST-WebCrawler", "Foobot", 
                              "Googlebot", "Harvest", "hloader", "httplib", "humanlinks", "ia_archiver", "InfoNaviRobot", "JennyBot",
                              "Kenjin.Spider", "Keyword.Density", "LexiBot", "libWeb", "LinkextractorPro", "LinkScan",
                              "LinkWalker", "lwp-trivial", "Mata.Hari", "Microsoft.URL", "MIIxpc", "Mister.PiX", "moget",
                              "Mozilla.*NEWT", "NetAnts", "NetMechanic", "NICErsPRO", "NPBot", "Offline.Explorer", "Openfind", "ProPowerBot",
                              "ProWebWalker ", "QueryN.Metasearch", "RepoMonkey", "RMA", "SiteSnagger", "SpankBot", "spanner", "suzuran", "Szukacz",
                              "Teleport", "Telesoft", "The.Intraformant", "TheNomad", "TightTwatBot", "Titan", "toCrawl",
                              "True_Robot", "turingos", "TurnitinBot", "URLy.Warning", "VCI", "W3C_Validator", "W3C_CSS_Validator", "WebAuto",
                              "WebBandit", "WebCopier", "Webcrawler", "WebEMailExtrac", "WebEnhancer", "Web.Image.Collector", "WebmasterWorldForumBot",
                              "WebSauger", "Website.Quester", "Webster.Pro", "WebStripper", "WebWasher", "WebZip", "[Ww]eb[Bb]andit",
                              "WWW-Collector-E", "Xenu", "Zeus", "zyborg" ) ;

       $this->platform = "Unknown"; 
       // Determine the platform they are on 
       if (strstr($this->get_user_agent(),'Win'))  
	   {
           $this->platform="Windows";
           if ( preg_match("/5\.1/i", $this->get_user_agent() ) )
              $this->platform = "Windows XP";
           else if ( preg_match("/5\.0/i", $this->get_user_agent() ) )
              $this->platform = "Windows 2000";
           else if ( preg_match("/NT/i", $this->get_user_agent() ) )
              $this->platform = "Windows NT";              
           else if ( preg_match("/ME/i", $this->get_user_agent() ) )
              $this->platform = "Windows ME";
           else if ( preg_match("/Win 9x 4.90/i", $this->get_user_agent() ) )
              $this->platform = "Windows ME";
           else if ( preg_match("/Windows ME/i", $this->get_user_agent() ) )
              $this->platform = "Windows ME";				              
           else if ( preg_match("/98/i", $this->get_user_agent() ) )
              $this->platform = "Windows 98";
           else if ( preg_match("/95/i", $this->get_user_agent() ) )
              $this->platform = "Windows 95";
           else if ( preg_match("/Win16/i", $this->get_user_agent() ) )
              $this->platform = "Windows 3.1";
           else if ( preg_match("/Windows 3\.1/i", $this->get_user_agent() ) )
              $this->platform = "Windows 3.1";								
        } 
        else if (strstr($this->get_user_agent(), 'Mac' ) )
           $this->platform='Macintosh';
        else if (strstr($this->get_user_agent(), 'PPC' ) )
            $this->platform='Macintosh';
        else if (strstr($this->get_user_agent(), 'FreeBSD' ) )
            $this->platform='FreeBSD';
        else if (strstr($this->get_user_agent(), 'SunOS' ) )
            $this->platform='SunOS';
        else if (strstr($this->get_user_agent(), 'IRIX' ) )
            $this->platform='IRIX';
        else if (strstr($this->get_user_agent(), 'BeOS' ) )
            $this->platform='BeOS';
        else if (strstr($this->get_user_agent(), 'OS/2' ) )
            $this->platform='OS/2';
        else if (strstr($this->get_user_agent(), 'AIX' ) )
            $this->platform='AIX';
        else if (strstr($this->get_user_agent(), 'Linux' ) )
            $this->platform='Linux';
        else if (strstr($this->get_user_agent(), 'Unix' ) )
            $this->platform='Unix';
        else if (strstr($this->get_user_agent(), 'Amiga' ) )
            $this->platform='Amiga';            
        else 
            $this->platform='Other';
        
	    // Opera (Disguised as MSIE)
       if ( preg_match("/Opera ([0-9]\.[0-9]{0,2})/i", $this->get_user_agent(), $found ) &&  strstr( $this->get_user_agent(), "MSIE" ) )
          $this->browser = "Opera " . $found[ 1 ];
             
       // Opera (Disguised as Netscape/Mozilla)
       else if ( preg_match("/Opera ([0-9]\.[0-9]{0,2})/i", $this->get_user_agent(), $found ) && strstr( $this->get_user_agent(), "Mozilla" ) )
          $this->browser = "Opera " . $found[ 1 ];
		
	    // Opera (Itself)
       else if ( preg_match("/Opera\/([0-9]\.[0-9]{0,2})/i", $this->get_user_agent(), $found ) )
	       $this->browser = "Opera " . $found[ 1 ];
		
       // Netscape 6.x
       else if ( preg_match("/Netscape[0-9]\/([0-9]{1,2}\.[0-9]{1,2})/i", $this->get_user_agent(), $found ) )
          $this->browser = "Netscape " . $found[ 1 ];

   	 // Netscape 7.x
       else if ( preg_match("/Netscape\/([0-9]{1,2}\.[0-9]{1,2})/i", $this->get_user_agent(), $found ) )
          $this->browser = "Netscape " . $found[ 1 ];

       // NetCaptor
       else if ( preg_match("/NetCaptor ([0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,2})/i", $this->get_user_agent(), $found ) )
          $this->browser = $found[0];

       // Crazy Browser
       else if ( preg_match("/Crazy Browser ([0-9]{1,2}\.[0-9]{1,2}\.[0-9]{1,2})/i", $this->get_user_agent(), $found ) )
          $this->browser = $found[0];
           
       // MSIE
       else if ( preg_match("/MSIE ([0-9]{1,2}\.[0-9]{1,2})/i", $this->get_user_agent(), $found ) )
          $this->browser = $found[0];

       // Konqueror
       else if ( preg_match("/Konqueror/i", $this->get_user_agent() ) )
          $this->browser = "Konqueror";

       // Galeon
	    else if ( preg_match("/Galeon/i", $this->get_user_agent() ) )
          $this->browser = "Galeon";

       // Phoenix
	    else if ( preg_match("/Phoenix\/([0-9]{1}\.[0-9]{1,2})/i", $this->get_user_agent(), $found ) )
          $this->browser = "Phoenix " . $found[ 1 ];

       // Lynx
	    else if ( preg_match("/Lynx/i", $this->get_user_agent(), $found ) )
          $this->browser = "Lynx"; 

       // WebTV
	    else if ( preg_match("/WebTV/i", $this->get_user_agent(), $found ) )
          $this->browser = "WebTV"; 

       // Netscape 4.x
       else if ( preg_match("/Mozilla\/([0-9]{1}\.[0-9]{1,2}) \[en\]/i", $this->get_user_agent(), $found ) )
	       $this->browser = "Netscape " . $found[ 1 ];

       // A different definition of Mozilla browsers
       else if ( preg_match("/Mozilla\/([0-9]{1,2}\.[0-9]{1,2})/i", $this->get_user_agent(), $found ) )
           $this->browser = "Mozilla " . $found[ 1 ];
	   
       // Mozilla
       else if ( preg_match("/(^Mozilla)(.)*\;\srv:([0-9]\.[0-9])/i", $this->get_user_agent(), $found ) )
          $this->browser = $found[ 1 ] . " " . $found[ 3 ];

       // Web Crawler
	    else if ( $this->chk_crawler() )
          $this->browser = "Web Crawler - " . $this->get_user_agent();           

       // Other (Dont know what is it)
       else 
          $this->browser = "Other"; 
    }
    
    /******************************************************/
    /*                                                    */
    /* function get_os()                                  */
    /*                                                    */
    /******************************************************/
    /* Return the platform detected                       */
    /******************************************************/
    function get_os() 
    { 
        return ( $this->platform ); 
    }

    /*****************************************************************/
    /*                                                               */
    /* function function chk_crawler()                               */
    /*                                                               */
    /*****************************************************************/
    /* Compare agent string with a list of known web crawlers/robots */
    /*****************************************************************/
    function chk_crawler()
    {
       foreach( $this->robots as $value )
          if( preg_match("/" . $value . "/i", $this->get_user_agent() ) ) return true;
       return false;
    }
            
    /******************************************************/
    /*                                                    */
    /* function get_browser()                             */
    /*                                                    */
    /******************************************************/
    /* Return the browser that we detected                */
    /******************************************************/
    function get_browser() 
    { 
       return ( $this->browser ); 
    } 

    /******************************************************/
    /*                                                    */
    /* function get_user_agent()                          */
    /*                                                    */
    /******************************************************/
    /* Return the user agent string                       */
    /******************************************************/
    function get_user_agent() 
    { 
       return $_SERVER['HTTP_USER_AGENT'];
    } 

    /******************************************************************************/
    /* FUNCTION: get_ip()                                                         */
    /* Return users real IP address                                               */
    /******************************************************************************/   
    function get_ip()
    {
       // Get useful vars
       $client_ip = $_SERVER['HTTP_CLIENT_IP'];
       $x_forwarded_for = $_SERVER['HTTP_X_FORWARDED_FOR'];
       $remote_addr = $_SERVER['REMOTE_ADDR'];

       // Then the script itself
       if( !empty( $client_ip ) ) {
          $real_ip = $client_ip;
       }
       elseif( !empty( $x_forwarded_for ) ) {
          if( strstr( $x_forwarded_for, ',' ) ) {
             $ip_expl = explode( ',', $x_forwarded_for );
             $real_ip = end( $ip_expl );
          }
          else {
             $real_ip = $x_forwarded_for;
          };
       }
       else {
          $real_ip = $remote_addr;
       };
       return( $real_ip );
    }

    /******************************************************************************/
    /* FUNCTION: get_host()                                                       */
    /* Return users hostname                                                      */
    /******************************************************************************/   
    function get_host( $ip )
    {
       $host = @getHostByAddr( $ip );
       if( empty( $host ) ) {
          $remote_addr = $_SERVER['REMOTE_ADDR'];
          $host = @getHostByAddr( $remote_addr );
       }
       return( $host );
    }    

    /******************************************************************************/
    /* FUNCTION: get_referer()                                                    */
    /* Get Site user came from - Format the referring url                         */
    /* (not including sub-dir's or query string)                                  */
    /******************************************************************************/
    function get_referer()
    {
       $ref = htmlspecialchars( strip_tags( $_SERVER['HTTP_REFERER'] ) );
       $pref = parse_url( $ref );
       return( $pref );
    }
    
    /******************************************************************************/
    /* FUNCTION: get_modulename()                                                 */
    /* Get Module Name which is activated                                         */
    /******************************************************************************/
    function get_modulename()
    {
       $moduleurl = substr( stristr( $_SERVER['REQUEST_URI'], 'name='), 5 );
       $tok = strtok( $moduleurl, "&" );
       $moduleurl = eregi_replace( "_", " ", $tok );
       $moduleurl = trim( $moduleurl );
       return( $moduleurl );
    }

    /******************************************************************************/
    /* FUNCTION: get_country_host()                                               */
    /* Determine Country of User by hostname                                      */
    /******************************************************************************/
    function get_country_host( $host )
    {
       $array = explode( ".", $host );
       $country = $array[ sizeof( $array ) -1 ];
       $country = strtolower( $country );
       if( $country == "" OR is_numeric( $country ) ) { $country = ""; }
       return( $country );
    }
    
    /******************************************************************************/
    /* FUNCTION: get_country_ip2country()                                         */
    /* Determine Country of User by ip Address using a host:                      */
    /*                                                                            */
    /* http://ip-to-country.directi.com/                                          */
    /******************************************************************************/
    function get_country_ip2country( $ip )
    {
       if( ( $handle = @fopen("http://ip-to-country.directi.com/country/name/".$ip, "rb") ) == FALSE ) {
          return( "" );
       }
       else {
          $country = fgets( $handle, 4096 ); 
          fclose( $handle );
          return( $country );
       }
    }

   /******************************************************************************/
   /* FUNCTION: PruneOnline( $max_online )                                       */
   /* Delete online entries. Set to: $max_online                                 */
   /******************************************************************************/
   function PruneOnline( $max_online )
   {
      global $prefix, $db;

      // Delete online entries. Set to: $max_online
      $counter = 0;
      $result = $db->sql_query( "select uid, oldate from $prefix"._msanalysis_online." order by oldate DESC" );
      while( (list( $uid, $oldate ) = $db->sql_fetchrow( $result ) ) ) {
         if( $counter >= $max_online ) {
            $result1 = $db->sql_query( "DELETE FROM $prefix"._msanalysis_online." WHERE uid='$uid'" );
         }
         $counter += 1;
      }
      $db->sql_freeresult( $result );
      $db->sql_query( "OPTIMIZE TABLE $prefix"._msanalysis_online."" );
   }

   /******************************************************************************/
   /* FUNCTION: ResetTodayHits()                                                 */
   /* Reset the hits of last day                                                 */
   /******************************************************************************/
   function ResetTodayHits( )
   {
      global $prefix, $db;

      $result = $db->sql_query( "select id, hitstoday from $prefix"._msanalysis_countries );
      while( list( $id, $hitstoday ) = $db->sql_fetchrow( $result ) ) {
         $db->sql_query( "update $prefix"._msanalysis_countries." set hitstoday=0 where id = '$id'" );
      }
      $result = $db->sql_query( "select id, hitstoday from $prefix"._msanalysis_referrals );
      while( list( $id, $hitstoday ) = $db->sql_fetchrow( $result ) ) {
         $db->sql_query( "update $prefix"._msanalysis_referrals." set hitstoday=0 where id = '$id'" );
      }
      $result = $db->sql_query( "select id, hitstoday from $prefix"._msanalysis_search );
      while( list( $id, $hitstoday ) = $db->sql_fetchrow( $result ) ) {
         $db->sql_query( "update $prefix"._msanalysis_search." set hitstoday=0 where id = '$id'" );
      }
      $result = $db->sql_query( "select id, hitstoday from $prefix"._msanalysis_browsers );
      while( list( $id, $hitstoday ) = $db->sql_fetchrow( $result ) ) {
         $db->sql_query( "update $prefix"._msanalysis_browsers." set hitstoday=0 where id = '$id'" );
      }
      $result = $db->sql_query( "select id, hitstoday from $prefix"._msanalysis_os );
      while( list( $id, $hitstoday ) = $db->sql_fetchrow( $result ) ) {
         $db->sql_query( "update $prefix"._msanalysis_os." set hitstoday=0 where id = '$id'" );
      }
      $result = $db->sql_query( "select id, hitstoday from $prefix"._msanalysis_modules );
      while( list( $id, $hitstoday ) = $db->sql_fetchrow( $result ) ) {
         $db->sql_query( "update $prefix"._msanalysis_modules." set hitstoday=0 where id = '$id'" );
      }
      $result = $db->sql_query( "select uid, hitstoday from $prefix"._msanalysis_users );
      while( list( $uid, $hitstoday ) = $db->sql_fetchrow( $result ) ) {
         $db->sql_query( "update $prefix"._msanalysis_users." set hitstoday=0 where uid = '$uid'" );
      }
      $result = $db->sql_query( "select id, hitstoday from $prefix"._msanalysis_scr );
      while( list( $id, $hitstoday ) = $db->sql_fetchrow( $result ) ) {
         $db->sql_query( "update $prefix"._msanalysis_scr." set hitstoday=0 where id = '$id'" );
      }
   }
   
    /******************************************************************************/
    /* FUNCTION: MSLogDate( $longshort)                                           */
    /* Return GMT adapted lgdate                                                  */
    /******************************************************************************/   
    function MSLogDate( $longshort )
    {
       global $prefix, $db;
      
       $result = $db->sql_query( "select GMT_offset from $prefix"._msanalysis_admin." where id='1'" );
       list( $GMT_offset ) = $db->sql_fetchrow( $result );    	
       $current = date( "Z" ) / 3600;
       $current = -1 * $current;
       $zonedate = mktime(date('G'), date('i'), date('s'), date('n'), date('j'), date('Y'), 1) + ( ( $current + $GMT_offset ) * 3600 );
       
       if( $longshort == 0 ) return date( "Y-m-d G:i:s", $zonedate );
       elseif( $longshort == 1 ) return date( "Y-m-d", $zonedate );
       elseif( $longshort == 2 ) return ( $zonedate );
       elseif( $longshort == 3 ) return date( "d-m-Y-H", $zonedate );       
    }
   
    /******************************************************************************/
    /* FUNCTION: PruneMSTables()                                                  */
    /* If set and if 'PruningDate', then prune MS-Tables                          */
    /******************************************************************************/
    function PruneMSTables( )
    {
       global $prefix, $db;

       // Routine for automatic reset of statistics
       $result = $db->sql_query( "SELECT nbrdays, begindate, tcountries, treferrals, tsearcheng, tqueries, tbrowsers, tcrawlers, tos, tmodules, tusers, tresolution FROM $prefix"._msanalysis_admin." where id='1'" );
       list( $nbrdays, $begindate, $tcountries, $treferrals, $tsearcheng, $tqueries, $tbrowsers, $tcrawlers, $tos, $tmodules, $tusers, $tresolution ) = $db->sql_fetchrow( $result );

       $daysold = $this->DaysOld( $begindate );
       // If defined amount of days are passed than prune MSA tables
       if( ( $daysold % $nbrdays ) == 0 )
       {
          // Prune Tables
          include(dirname(__FILE__) . '/pruningroutines.php' );
       }
    }

    /******************************************************************************/
    /* FUNCTION: DaysOld( $enterdate )                                            */
    /* Return how many days ago a user was on-line                                */
    /******************************************************************************/
    function DaysOld( $enterdate )
    {
       $enterdate = substr( $enterdate, 0, 10 ) . " 00:00:00";
       $date_secs = strtotime( $enterdate );
       // get the value of right now
       $now = $this->MSLogDate( 2 );
       // compute the difference (seconds)
       $timediff = $date_secs - $now;
       //get the int val of the days passed
       $dayspassed = intval( abs( ( ( ( $timediff / 60 ) / 60 ) / 24 ) ) );
       return( $dayspassed );
    }

    /******************************************************************************/
    /* FUNCTION: GetSearchWords                                                   */
    /* Return searchwords                                                         */
    /******************************************************************************/
    function GetSearchWords( $query, $onlyhost, $search_store )
    {
       global $MSSearchEngines;
       $searchwords = "";
       foreach( $MSSearchEngines as $key=>$value ) {
          if( eregi( $key, $onlyhost ) ) {
             $query = explode( "&", $query ); 
             for( $j = 0; $j < sizeof( $query ); $j++ )
             {
             	$query[ $j ] = ereg_replace ('amp;', '', trim( $query[ $j ] ) );
                $fquery = explode( "=" , $query[ $j ] );
                if( $fquery[ 0 ] == $value ) {
	               $searchwords = trim(strtolower(urldecode( $fquery[ 1 ] ) ) );
	               $searchwords = str_replace( "\"", "", $searchwords );
	               if( $search_store ) $searchwords = str_replace( "+", " ", $searchwords );
	               break;
                }
             } // END sizeof( $query )
          } // END eregi
       }
       return( $searchwords );       
    } // END Function

    /******************************************************************************/
    /* FUNCTION: IsSearchEngine( $referral )                                      */
    /* Return 1 if $referral is a Search Engine else 0                            */
    /******************************************************************************/
    function IsSearchEngine( $referral )
    {
       global $MSSearchEngines;
       
       $se = 0;
       foreach( $MSSearchEngines as $key=>$value ) { if( eregi( $key, $referral ) ) { $se = 1; } }
       return( $se );
    }
                          
} 

?> 
