<?php

/************************************************************************************/
/*                                                                                  */
/* Maty Scripts Analysis for PHP-Nuke 6.5-6.8                                       */
/* v1.1                                                                             */
/*                                                                                  */
/* Copyright  2002 by: Maty Scripts (webmaster@matyscripts.com)                    */
/* http://www.matyscripts.com                                                       */
/*                                                                                  */
/* This program is free software. You can redistribute it and/or modify             */
/* it under the terms of the GNU General Public License as published by             */
/* the Free Software Foundation; either version 2 of the License.                   */
/*                                                                                  */
/************************************************************************************/
/* PHP-NUKE: Web Portal System                                                      */
/* ===========================                                                      */
/*                                                                                  */
/* Copyright (c) 2002 by Francisco Burzi                                            */
/* http://phpnuke.org                                                               */
/*                                                                                  */
/* MostMonth /MostDay / MostHour Routines are from PHP-Nuke 6.0 Statistics          */
/************************************************************************************/
/*                                                                                  */
/* THE VISITS PER YEAR/MONTH/DAY/HOUR GRAPHIC PAGES IN THIS ADD-ON ARE FROM:        */
/*                                                                                  */
/* PHP-NUKE: Web Portal System                                                      */
/* ===========================                                                      */
/*                                                                                  */
/* Copyright (c) 2002 by Francisco Burzi                                            */
/* http://phpnuke.org                                                               */
/*                                                                                  */
/* This program is free software. You can redistribute it and/or modify             */
/* it under the terms of the GNU General Public License as published by             */
/* the Free Software Foundation; either version 2 of the License.                   */
/************************************************************************************/

$index = 0;
$module_name = basename( dirname( __FILE__ ) );

if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

if( isset( $newlang ) ) {
   include( "modules/$module_name/language/lang-$newlang.php" );
   $language = $newlang;
} elseif ( isset( $lang ) ) {
   include( "modules/$module_name/language/lang-$lang.php" );
   $language = $lang;
} else {
   include( "modules/$module_name/language/lang-$language.php" );
}
require_once( "mainfile.php" );
require_once( "modules/$module_name/include/class.general.php" );

/******************************************************************************/
/* FUNCTION: MSAnalysisGeneral()                                              */
/* Show General Overview of all Statistics                                    */
/******************************************************************************/
function MSAnalysisGeneral( $overview )
{
   global $admin, $module_name, $db, $prefix;

   include( "header.php" );
   include( "modules/$module_name/menu.php" );
   
   // Get the maximum amount of lines that should be displayed per block 'max-items' in the overview screen and online entries
   $result = $db->sql_query( "select max_items from $prefix"._msanalysis_admin." where id='1'" );
   list( $max_items ) = $db->sql_fetchrow( $result );

   // Display Overview   
   if( !isset( $overview ) ) {
      $result = $db->sql_query( "select overview from $prefix"._msanalysis_admin." where id='1'" );
      list( $overview ) = $db->sql_fetchrow( $result );
   }
   // $overview: 1 = Today Overview | 2 = Last XX Days overview | 3 = Total Overview
   MSAnalysisOverview( $overview, $max_items );
   
   include( "footer.php" );
} // END function MSAnalysisGeneral()


/******************************************************************************/
/* FUNCTION: MSAnalysisOverview()                                             */
/* Show General Overview of all Statistics                                    */
/******************************************************************************/
function MSAnalysisOverview( $overview, $max_items )
{
   global $prefix, $user_prefix, $db, $module_name, $bgcolor1, $bgcolor2, $admin;
   
   $msa = new msanalysis();
   // Date of Today
   $DateToday = $msa->MSLogDate( 1 );
   // Grep xdays and determine how many days the data is logged for that specific overview
   $result = $db->sql_query( "select xdate from $prefix"._msanalysis_admin." where id='1'" );
   list( $xdate ) = $db->sql_fetchrow( $result );
   $xd = $msa->DaysOld( $xdate . "00:00:00" ) + 1;

   // Display OVERVIEW Time period options
   OpenTable();
   echo "<form enctype=\"multipart/form-data\" method=\"post\" action=\"modules.php?name=$module_name&file=index&op=MSAnalysisGeneral&overview=$overview\">";
   echo "<center><b><h5>"._MSA_OVERVIEWPERIODS."</b></h5><select name=\"overview\" size=\"1\" onChange=\"submit()\">";
   if( $overview == 1 ) echo "<option value=\"1\" selected>"._MSA_OVERVIEWTODAY."</option>\n"; else echo "<option value=\"1\">"._MSA_OVERVIEWTODAY."</option>\n";
   if( $overview == 2 ) echo "<option value=\"2\" selected>"._MSA_OVERVIEWLASTDAYS1." $xd "._MSA_OVERVIEWLASTDAYS2."</option>\n"; else echo "<option value=\"2\">"._MSA_OVERVIEWLASTDAYS1." $xd "._MSA_OVERVIEWLASTDAYS2."</option>\n";
   if( $overview == 3 ) echo "<option value=\"3\" selected>"._MSA_OVERVIEWALL."</option>\n"; else echo "<option value=\"3\">"._MSA_OVERVIEWALL."</option>\n";
   echo "</select></center></form></center>\n";
   CloseTable();
   echo "<br>\n";
   
   /***************************************/
   /* Show brief overview of all Analysis */
   /***************************************/
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\"  bgcolor=\"$bgcolor1\">\n";

   /*******************************************************/
   /* Count amount of Countries, Referrals, SearchEngines */
   /*******************************************************/
   $total1 = $msa->CountLines( 1, $overview, $DateToday, $xdate );
   $total2 = $msa->CountLines( 2, $overview, $DateToday, $xdate );
   $total3 = $msa->CountLines( 3, $overview, $DateToday, $xdate );

   echo "<tr><td width=\"33%\" height=\"20\" align=\"center\" bgcolor=\"$bgcolor2\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisDetails&amp;screen=1&amp;overview=$overview\"><b>"._MSA_GENCOUNTRIES." ("._MSA_GENTOTAL." $total1)</b></a></td>\n";
   echo "<td width=\"33%\" height=\"20\" colspan=\"2\" align=\"center\" bgcolor=\"$bgcolor2\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisDetails&amp;screen=2&amp;overview=$overview\"><b>"._MSA_GENREFERRALS." ("._MSA_GENTOTAL." $total2)</b></a></td>\n";
   echo "<td width=\"33%\" height=\"20\" align=\"center\" bgcolor=\"$bgcolor2\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisDetails&amp;screen=3&amp;overview=$overview\"><b>"._MSA_GENSENGINES." ("._MSA_GENTOTAL." $total3)</b></a></td>\n";
   echo "</tr><tr><td width=\"33%\" valign=\"top\">\n";
   /* Top Countries */
   include( "modules/$module_name/scripts/countries.php" );
   /* Top Referrals */
   include( "modules/$module_name/scripts/referrals.php" );
   /* Top Search Engines */
   include( "modules/$module_name/scripts/se.php" );

   /********************************************************/
   /* Count amount of Browsers, Operating Systems, Modules */
   /********************************************************/
   $total1 = $msa->CountLines( 4, $overview, $DateToday, $xdate );
   $total2 = $msa->CountLines( 5, $overview, $DateToday, $xdate );
   $total3 = $msa->CountLines( 6, $overview, $DateToday, $xdate );

   echo "<td width=\"33%\" height=\"20\" align=\"center\" bgcolor=\"$bgcolor2\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisDetails&amp;screen=4&amp;overview=$overview\"><b>"._MSA_GENBROWSERS." ("._MSA_GENTOTAL." $total1)</b></a></td>\n";
   echo "<td width=\"33%\" height=\"20\" colspan=\"2\" align=\"center\" bgcolor=\"$bgcolor2\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisDetails&amp;screen=5&amp;overview=$overview\"><b>"._MSA_GENOS." ("._MSA_GENTOTAL." $total2)</b></a></td>\n";
   echo "<td width=\"34%\" height=\"20\" align=\"center\" bgcolor=\"$bgcolor2\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisDetails&amp;screen=6&amp;overview=$overview\"><b>"._MSA_GENMODULES." ("._MSA_GENTOTAL." $total3)</b></a></td>\n";
   echo "</tr><tr><td width=\"33%\" valign=\"top\">\n";
   /* Top Browsers */
   include( "modules/$module_name/scripts/browsers.php" );
   /* Top Operating Systems */
   include( "modules/$module_name/scripts/os.php" );
   /* Top Modules */
   include( "modules/$module_name/scripts/modules.php" );

   /*********************************************/
   /* Count amount of Users, Screen Resolutions */
   /*********************************************/
   $total1 = $msa->CountLines( 7, $overview, $DateToday, $xdate );
   $total2 = $msa->CountLines( 9, $overview, $DateToday, $xdate );

   // When Overview = 1 (daily Page Visits) display not the last 7 days stats
   if( $overview == 1 ) $colspan = 3; else $colspan = 1;   
   echo "<td width=\"33%\" height=\"20\" colspan=\"$colspan\" align=\"center\" bgcolor=\"$bgcolor2\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisDetails&amp;screen=7&amp;overview=$overview\"><b>"._MSA_GENUSERS." ("._MSA_GENTOTAL." $total1)</b></a></td>\n";
   echo "<td width=\"33%\" height=\"20\" colspan=\"2\" align=\"center\" bgcolor=\"$bgcolor2\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisDetails&amp;screen=9&amp;overview=$overview\"><b>"._MSA_GENRESOLUTION." ("._MSA_GENTOTAL." $total2)</b></a></td>\n";
   if( $overview != 1 ) echo "<td width=\"34%\" height=\"20\" align=\"center\" bgcolor=\"$bgcolor2\"><a href=\"modules.php?name=$module_name&amp;file=visits&amp;op=MSAnalysisStats\"><b>"._MSA_VISITOROVERVIEW."</b></a></td>\n";
   echo "</tr><tr><td width=\"33%\" colspan=\"$colspan\" valign=\"top\">\n";
   /* Top Users */
   include( "modules/$module_name/scripts/users.php" );
   /* Top Screen Resolutions */
   include( "modules/$module_name/scripts/scr.php" );

   // Calculate current date
   $dot = explode ("-", $DateToday );
   $nowdate = $dot[2];
   $month = $dot[1];
   $year = $dot[0];

   /***************************************************/
   /* 7 Days Page Visits only for OVERVIEW 2 and 3    */
   /***************************************************/
   if( $overview != 1 ) {
      // Show page hits last 7 days
      MSAnalysis7DaysStats( $year, $month, $nowdate );
   }
   echo "</td></tr></table>\n";

   /************************************************************************/
   /* Display Hourly, Monthly or Yearly page visits, depending on overview */
   /************************************************************************/
   if( $overview == 1 ) { MSAnalysisDailyPVStats( $DateToday, $year, $month, $nowdate ); }
   if( $overview == 2 ) { MSAnalysisMonthlyPVStats( $year ); }
   if( $overview == 3 ) { MSAnalysisYearlyPVStats( ); }
   
} // END function MSAnalysisOverview()

/******************************************************************************/
/* FUNCTION: MSAnalysis7DaysStats                                             */
/* Display Page Hits of last 7en days                                         */
/******************************************************************************/
function MSAnalysis7DaysStats( $year, $month, $nowdate )
{
    global $prefix, $bgcolor1, $bgcolor2, $db, $ThemeSel, $module_name;

    $msa = new msanalysis();
    // Current Month
    $resulttotal = $db->sql_query( "select max(hits) as TotalHitsDate from ".$prefix."_stats_date where year='$year' and month='$month'" );
    list( $TotalHitsDate ) = $db->sql_fetchrow( $resulttotal );
    $db->sql_freeresult( $resulttotal );

    // When less then 7 days in month, also calculate the rest of the previous month
    if( $nowdate <= 7 ) {
	   if( $month > 1 ) { $prevmonth = $month - 1; $prevyear = $year; }
	   else { $prevmonth = 12; $prevyear = $year - 1; }
    
	   $resulttotal1 = $db->sql_query( "select max(hits) as TotalHitsDate1 from ".$prefix."_stats_date where year='$prevyear' and month='$prevmonth'" );
       list( $TotalHitsDate1 ) = $db->sql_fetchrow( $resulttotal1 );
       $db->sql_freeresult( $resulttotal1 );
       if( $TotalHitsDate1 > $TotalHitsDate ) $TotalHitsDate = $TotalHitsDate1;
    }    
    
    // Current Month
    $result = $db->sql_query( "select year,month,date,hits from ".$prefix."_stats_date where year='$year' and month='$month' order by date" );
    // Previous Month
    if( $nowdate <= 7 ) {
       $totrows = $db->sql_numrows( $db->sql_query( "select * from ".$prefix."_stats_date where year='$prevyear' and month='$prevmonth' order by date" ) );
       $startrow = $totrows - 7 + $nowdate;
       $result1 = $db->sql_query( "select year,month,date,hits from ".$prefix."_stats_date where year='$prevyear' and month='$prevmonth' order by date LIMIT $startrow,$totrows" );
    }
    
    echo "<br><center><table border=\"1\" cellpadding=\"2\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"80%\" bgcolor=\"$bgcolor1\">\n";
    echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">"._MSA_DATE."</td><td bgcolor=\"$bgcolor2\"><p align=\"center\">"._MSA_GPAGESVIEWS." <a href=\"modules.php?name=$module_name&file=visits&amp;op=MSAnalysisMonthlyStats&amp;year=$year&amp;month=$month\"</td><td bgcolor=\"$bgcolor2\"><p align=\"center\">"._MSA_HITS."</td></tr>\n";
    
    // Previous Month
    if( $nowdate <= 7 ) {    
       while( list( $year, $month, $date, $hits) = $db->sql_fetchrow( $result1 ) ) {
          echo "<tr bgcolor=\"$bgcolor1\" height=\"22\"><td>\n";
          echo "<a href=\"modules.php?name=$module_name&file=visits&op=MSAnalysisDailyStats&year=$year&month=$month&date=$date\" class=\"hover_orange\">\n";
          if( $date == $nowdate ) { echo "<font color=\"#FF0000\">$date</font>"; } else { echo $date; }
          echo "</a></td><td>\n";
          if ($hits == 0) {
             $WidthIMG = 0;
          }
          else {
	         $WidthIMG = round( ( round(100 * $hits/$TotalHitsDate,0) ) * 1 );
	      }
          echo "<img src=\"themes/$ThemeSel/images/leftbar.gif\" Alt=\"\" width=\"".$msa->l_size[0]."\" height=\"".$msa->l_size[1]."\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" height=\"".$msa->m_size[1]."\" width=".$WidthIMG." Alt=\"\">"
          ."<img src=\"themes/$ThemeSel/images/rightbar.gif\" Alt=\"\" width=\"".$msa->r_size[0]."\" height=\"".$msa->r_size[1]."\"></td><td><b>$hits</b></td></tr>"
          ."</td></tr>";
       }
       $db->sql_freeresult( $result1 );
    }
    // Current Month   
    while( list( $year,$month,$date,$hits ) = $db->sql_fetchrow( $result ) ) {
       if( ( $date <= $nowdate ) AND ( $date > $nowdate - 7 ) ) {
          echo "<tr bgcolor=\"$bgcolor1\" height=\"22\"><td>\n";
          echo "<a href=\"modules.php?name=$module_name&file=visits&op=MSAnalysisDailyStats&year=$year&month=$month&date=$date\" class=\"hover_orange\">\n";
          if( $date == $nowdate ) { echo "<font color=\"#FF0000\">$date</font>"; } else { echo $date; }
          echo "</a></td><td>\n";
          if ($hits == 0) {
             $WidthIMG = 0;
          }
          else {
	         $WidthIMG = round( ( round(100 * $hits/$TotalHitsDate,0) ) * 1 );
	      }
          echo "<img src=\"themes/$ThemeSel/images/leftbar.gif\" Alt=\"\" width=\"".$msa->l_size[0]."\" height=\"".$msa->l_size[1]."\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" height=\"".$msa->m_size[1]."\" width=".$WidthIMG." Alt=\"\">"
          ."<img src=\"themes/$ThemeSel/images/rightbar.gif\" Alt=\"\" width=\"".$msa->r_size[0]."\" height=\"".$msa->r_size[1]."\"></td><td><b>$hits</b></td></tr>"
          ."</td></tr>";
       }
    }
    $db->sql_freeresult( $result );
    echo "</table>";
} // End function MSAnalysis7DaysStats()

/******************************************************************************/
/* FUNCTION: MSAnalysisDailyPVStats                                           */
/* Display Page Hits for each hour for current date                           */
/******************************************************************************/
function MSAnalysisDailyPVStats( $DateToday, $year, $month, $nowdate )
{
   global $prefix, $db, $module_name;
   
   // Calculate Page Visits for Today
   $visitstoday = 0;
   for( $i = 0; $i <= 23; $i++ ) {
      $result = $db->sql_query( "select hits from ".$prefix."_stats_hour where year='$year' and month='$month' and date='$nowdate' and hour='$i'" );
      list( $hits ) = $db->sql_fetchrow( $result );
      $visitstoday += $hits;
   }
   $db->sql_freeresult( $result );
   
   $highest = 0;
   $result = $db->sql_query( "select max(hits) as highest from ".$prefix."_stats_hour where year='$year' and month='$month' and date='$nowdate'" );
   list( $highest ) = $db->sql_fetchrow( $result );
   $db->sql_freeresult( $result );

   echo "<br>\n"; OpenTable(); 
   echo "<div align=\"center\" class=\"title\"><a href=\"modules.php?name=$module_name&amp;file=visits&amp;op=MSAnalysisStats\">"._MSA_VISITSHOURS." $DateToday ($visitstoday "._MSA_SOFAR.")</div><br><table border=\"0\" cellPadding=\"2\" cellSpacing=\"0\" width=\"90%\" align=\"center\"></a><tr><td></td>\n";
   for( $i = 0; $i <= 23; $i++ ) {
      $result = $db->sql_query( "select hits from ".$prefix."_stats_hour where year='$year' and month='$month' and date='$nowdate' and hour='$i'" );
      list( $hits ) = $db->sql_fetchrow( $result );
      $db->sql_freeresult( $result );   	
      echo "<td align=\"center\" valign=\"bottom\">"; 
      if( $highest != 0 ) { $sheight =( $hits/ $highest) * 120; } 
      echo " <img src=\"modules/$module_name/images/vstat.gif\" height=\"$sheight\" width=\"16\" alt=\"".$hits.""._MSA_PAGESVIEWED."\"></td>"; 
   } 
   echo "</tr><tr><td><b>"._MSA_HOURS."</b></td>\n"; 
   for( $i = 0; $i < 24; $i++ ) { if( strlen( $i ) == 1 ) echo "<td align=\"center\">0".$i."</td>\n"; else echo "<td align=\"center\">".$i."</td>\n"; }
   echo "</tr></table>\n"; 
   CloseTable();	
}


/******************************************************************************/
/* FUNCTION: MSAnalysisMonthlyPVStats                                         */
/* Display Page Hits for each month for current year                          */
/******************************************************************************/
function MSAnalysisMonthlyPVStats( $year )
{
   global $prefix, $db, $module_name;

   $highest = 0;
   $result = $db->sql_query( "select max(hits) as highest from ".$prefix."_stats_month where year='$year'" );
   list( $highest ) = $db->sql_fetchrow( $result );
   $db->sql_freeresult( $result );

   echo "<br>\n"; OpenTable(); 
   echo "<div align=\"center\" class=\"title\">"._MSA_VISITSMONTHS." $year</div><br><table border=\"0\" cellPadding=\"2\" cellSpacing=\"0\" width=\"90%\" align=\"center\"><tr><td></td>\n"; 
   for( $i = 1; $i <= 12; $i++ ) {
      $result = $db->sql_query( "select hits from ".$prefix."_stats_month where year='$year' and month='$i'" );
      list( $hits ) = $db->sql_fetchrow( $result );
      $db->sql_freeresult( $result );   	
      echo "<td align=\"center\" valign=\"bottom\">"; 
      if( $highest != 0 ) { $sheight =( $hits/ $highest) * 120; } 
      echo " <img src=\"modules/$module_name/images/vstat.gif\" height=\"$sheight\" width=\"32\" alt=\"".$hits.""._MSA_PAGESVIEWED."\"></td>"; 
   } 
   echo "</tr><tr><td><b>"._MSA_MONTHS."</b></td>\n"; 
   for( $i = 1; $i <= 12; $i++ ) { if( strlen( $i ) == 1 ) echo "<td align=\"center\">0".$i."</td>\n"; else echo "<td align=\"center\">".$i."</td>\n"; }
   echo "</tr></table>\n"; 
   CloseTable();
}

/******************************************************************************/
/* FUNCTION: MSAnalysisYearlyPVStats                                          */
/* Display Page Hits for each present year                                    */
/******************************************************************************/
function MSAnalysisYearlyPVStats( )
{
   global $prefix, $db, $module_name;

   $highest = 0;
   $result = $db->sql_query( "select max(hits) as highest from ".$prefix."_stats_year" );
   list( $highest ) = $db->sql_fetchrow( $result );
   $db->sql_freeresult( $result );

   echo "<br>\n"; OpenTable(); 
   echo "<div align=\"center\" class=\"title\">"._MSA_VISITSYEARS."</div><br><table border=\"0\" cellPadding=\"2\" cellSpacing=\"0\" width=\"90%\" align=\"center\"><tr><td></td>\n"; 
   for( $i = 2000; $i <= 2011; $i++ ) {
      $result = $db->sql_query( "select hits from ".$prefix."_stats_year where year='$i'" );
      list( $hits ) = $db->sql_fetchrow( $result );
      $db->sql_freeresult( $result );   	
      echo "<td align=\"center\" valign=\"bottom\">"; 
      if( $highest != 0 ) { $sheight =( $hits/ $highest) * 120; } 
      echo " <img src=\"modules/$module_name/images/vstat.gif\" height=\"$sheight\" width=\"32\" alt=\"".$hits.""._MSA_PAGESVIEWED."\"></td>"; 
   } 
   echo "</tr><tr><td><b>"._MSA_YEARS."</b></td>\n"; 
   for( $i = 2000; $i <= 2011; $i++ ) { if( strlen( $i ) == 1 ) echo "<td align=\"center\">0".$i."</td>\n"; else echo "<td align=\"center\">".$i."</td>\n"; }
   echo "</tr></table>\n"; 
   CloseTable();   
}

/***************************************************/
/****************** PROGRAM START ******************/
/***************************************************/
switch ( $op )
{
    case "MSAnalysisGeneral":
       MSAnalysisGeneral( $overview );
    break;

    case "MSAnalysisOverview":
       MSAnalysisOverview( $overview, $max_items );
    break;

    case "MSAnalysis7DaysStats":
       MSAnalysis7DaysStats( $year, $month, $nowdate );
    break;
    
    case "MSAnalysisDailyPVStats":
       MSAnalysisDailyPVStats( $DateToday, $year, $month, $nowdate );
    break;

    case "MSAnalysisMonthlyPVStats":
       MSAnalysisMonthlyPVStats( $year );
    break;

    case "MSAnalysisYearlyPVStats":
       MSAnalysisYearlyPVStats( );
    break;
    
    default:
       MSAnalysisGeneral( $overview );
}


?>

