<?php

/************************************************************************************/
/*                                                                                  */
/* Maty Scripts Analysis for PHP-Nuke 6.5-6.8                                       */
/* v1.1                                                                             */
/*                                                                                  */
/* Copyright  2002 by: Maty Scripts (webmaster@matyscripts.com)                    */
/* http://www.matyscripts.com                                                       */
/*                                                                                  */
/* This program is free software. You can redistribute it and/or modify             */
/* it under the terms of the GNU General Public License as published by             */
/* the Free Software Foundation; either version 2 of the License.                   */
/*                                                                                  */
/************************************************************************************/

$module_name = basename( dirname( __FILE__ ) );
global $user, $admin, $prefix, $db, $cookie, $REMOTE_ADDR, $nukeurl;
require_once( "modules/$module_name/include/class.client.php" );    // Routine Classes for tracker
include( "modules/$module_name/include/nologging.php" );            // Excluding IP's and Users from being logged

// Get User name
cookiedecode( $user );
$msuser = $cookie[ 1 ];

// Open class.client
$client = new client_info();

// Get Module Name which is activated
$moduleurl = $client->get_modulename();

// Get Site user came from - Format the referring url (not including sub-dir's or query string)
$pref = $client->get_referer();

// Check if on-line users is a member or a guest
// Default, a GUEST comes on-line
$member = 0;
if( is_user( $user ) ) { $member = 1; }
else { $msuser = "Guest"; }

// Determine IP, HOST
$ip   = $client->get_ip();
$host = $client->get_host( $ip );

// get browser name
$browser = $client->get_browser();

// Get Operating System Name
$os = $client->get_os();

// Check if info should be logged
if( is_admin( $admin ) ) { $isad = in_array( "Admin", $MSIgnoreUNAME ); }
if( ( in_array( $ip, $MSIgnoreIP ) ) OR ( in_array( $msuser, $MSIgnoreUNAME ) ) OR ( $isad ) ) { }
else {

   // Admin Settings: Xdate. Allow Pruning, Get Country
   $result = $db->sql_query( "select xdate, allow_pruning, get_country from $prefix"._msanalysis_admin." where id='1'" );
   list( $xdate, $allow_pruning, $get_country ) = $db->sql_fetchrow( $result );

   // Determine Country of User
   if( $get_country == 0 ) { $country = $client->get_country_host( $host ); }
   else {
      $country = $client->get_country_ip2country( $ip );
      if( $country == "" )
      { 
         $get_country = 0;
         $country = $client->get_country_host( $host );
      }      
   }   

   // Compose LOCAL Timestamp
   $logdate = $client->MSLogDate( 0 );
   // Today (without time)
   $slogdate = $client->MSLogDate( 1 );	

   // Store Module Name
   if( $moduleurl != "" ) {
      $result = $db->sql_query( "select modulename from $prefix"._msanalysis_modules." where modulename = '$moduleurl'" );
      if( $db->sql_numrows( $result ) == 0 ) { $result = $db->sql_query( "insert into $prefix"._msanalysis_modules." ( modulename, hits, today, hitstoday, xdays, hitsxdays ) values ( '$moduleurl', '1', '$slogdate', '1', '$xdate', '1' )" ); }
      else { $db->sql_query( "update $prefix"._msanalysis_modules." set hits=hits+1, today='$slogdate', hitstoday=hitstoday+1, hitsxdays=hitsxdays+1 where modulename ='$moduleurl'" ); }
   }

   // Store Referral Name
   if( $pref['host'] != "" ) $tref = $pref['host']; else $tref = "";
   if( ( !eregi( str_replace("http://", "", $nukeurl), $tref ) ) AND ( $tref != "" ) ) {
      $result = $db->sql_query( "select referral from $prefix"._msanalysis_referrals." where referral = '$tref'" );
      if( $db->sql_numrows( $result ) == 0 ) { $result = $db->sql_query( "insert into $prefix"._msanalysis_referrals." ( referral, hits, today, hitstoday, xdays, hitsxdays ) values ( '$tref', '1', '$slogdate', '1', '$xdate', '1' )" ); }
      else { $db->sql_query( "update $prefix"._msanalysis_referrals." set hits=hits+1, today='$slogdate', hitstoday=hitstoday+1, hitsxdays=hitsxdays+1 where referral = '$tref'" ); }

      if( $client->IsSearchEngine( $tref ) == 1 ) {
         $result = $db->sql_query( "select search_store from $prefix"._msanalysis_admin." where id='1'" );
         list( $search_store ) = $db->sql_fetchrow( $result );	   
         $searchwords = $client->GetSearchWords( $pref['query'], $tref, $search_store );
         if( $searchwords != "" ) {
            if( $search_store ) {
               $searchwords = explode( " ", $searchwords );
               for( $i = 0; $i < sizeof( $searchwords ); $i++ )
               {	    
	          $sw = trim( $searchwords[ $i ] );
                  if( $sw != "" ) {
                     $result = $db->sql_query( "select words from $prefix"._msanalysis_search." where words = '$sw'" );
                     if( $db->sql_numrows( $result ) == 0 ) { $result = $db->sql_query( "insert into $prefix"._msanalysis_search." ( words, hits, today, hitstoday, xdays, hitsxdays ) values ( '$sw', '1', '$slogdate', '1', '$xdate', '1' )" ); }
                     else { $db->sql_query( "update $prefix"._msanalysis_search." set hits=hits+1, today='$slogdate', hitstoday=hitstoday+1, hitsxdays=hitsxdays+1 where words = '$sw'" ); }
                  }
               }
            }
            else {
               $result = $db->sql_query( "select words from $prefix"._msanalysis_search." where words = '$searchwords'" );
               if( $db->sql_numrows( $result ) == 0 ) { $result = $db->sql_query( "insert into $prefix"._msanalysis_search." ( words, hits, today, hitstoday, xdays, hitsxdays ) values ( '$searchwords', '1', '$slogdate', '1', '$xdate', '1' )" ); }
               else { $db->sql_query( "update $prefix"._msanalysis_search." set hits=hits+1, today='$slogdate', hitstoday=hitstoday+1, hitsxdays=hitsxdays+1 where words = '$searchwords'" ); }
            }
         }
      }
   }

   // Store Countries
   if( $country != "" ) {
      if( $get_country == 0 ) {
         $result = $db->sql_query( "select domain, description from $prefix"._msanalysis_domains." where domain = '$country'" );
      } else {
         $result = $db->sql_query( "select domain, description from $prefix"._msanalysis_domains." where description = '$country'" );
      }      
      list( $domain, $description ) = $db->sql_fetchrow( $result );      
      if( $domain == "" ) { $domain = "unkown"; $description = "Unknown"; }
        
      $result1 = $db->sql_query( "select domain from $prefix"._msanalysis_countries." where domain = '$domain'" );
      if( $db->sql_numrows( $result1 ) == 0 ) { $result2 = $db->sql_query( "insert into $prefix"._msanalysis_countries." ( domain, description, hits, today, hitstoday, xdays, hitsxdays ) values ( '$domain', '$description', '1', '$slogdate', '1', '$xdate', '1' )" ); }
      else { $db->sql_query( "update $prefix"._msanalysis_countries." set hits=hits+1, today='$slogdate', hitstoday=hitstoday+1, hitsxdays=hitsxdays+1 where domain = '$domain'" ); }
      if( $get_country == 1 ) { $country = $domain; }
   }
   else { $country = "Unkown"; $description = "Unknown"; }

   // Store Browser
   if( $browser == "" OR $browser == "0" ) { $browser = "Other - Unknown"; }
   $result = $db->sql_query( "select ibrowser from $prefix"._msanalysis_browsers." where ibrowser = '$browser'" );
   if( $db->sql_numrows( $result ) == 0 ) { $result = $db->sql_query( "insert into $prefix"._msanalysis_browsers." ( ibrowser, hits, today, hitstoday, xdays, hitsxdays ) values ( '$browser', '1', '$slogdate', '1', '$xdate', '1' )" ); }
   else { $db->sql_query( "update $prefix"._msanalysis_browsers." set hits=hits+1, today='$slogdate', hitstoday=hitstoday+1, hitsxdays=hitsxdays+1 where ibrowser = '$browser'" ); }

   // Store Operating System
   if( $os == "" OR $os == "0" ) { $os = "Other - Unknown"; }
   $result = $db->sql_query( "select ios from $prefix"._msanalysis_os." where ios = '$os'" );
   if( $db->sql_numrows( $result ) == 0 ) { $result = $db->sql_query( "insert into $prefix"._msanalysis_os." ( ios, hits, today, hitstoday, xdays, hitsxdays ) values ( '$os', '1', '$slogdate', '1', '$xdate', '1' )" ); }
   else { $db->sql_query( "update $prefix"._msanalysis_os." set hits=hits+1, today='$slogdate', hitstoday=hitstoday+1, hitsxdays=hitsxdays+1 where ios = '$os'" ); }

   // Store User Information
   if( $member == 1 ) {
      $result = $db->sql_query( "select uname from $prefix"._msanalysis_users." where uname = '$msuser'" );	
      if( $db->sql_numrows( $result ) == 0 ) { $result1 = $db->sql_query( "insert into $prefix"._msanalysis_users." ( uname, browser, os, ip_addr, country, host, time, hits, today, hitstoday, xdays, hitsxdays ) values ( '$msuser', '$browser', '$os', '$ip', '$description', '$host', '$logdate', '1', '$slogdate', '1', '$xdate', '1' )" ); }
      else { 
         $result2 = $db->sql_query( "update $prefix"._msanalysis_users." set browser='$browser', os='$os', ip_addr='$ip', country='$description', host='$host', time='$logdate', hits=hits+1, today='$slogdate', hitstoday=hitstoday+1, hitsxdays=hitsxdays+1 where uname='$msuser' " );	   
      }
   }

   // Every day default clear the ON-LINE table and the hits for this day. If set, also prune MS-Tables
   $result = $db->sql_query( "select oldate from $prefix"._msanalysis_online." order by oldate DESC" );
   list( $oldate ) = $db->sql_fetchrow( $result );
   if( substr( $logdate, 0, 10 ) <> substr( $oldate, 0, 10 ) ) {
      $client->PruneOnline( 30 );
      $client->ResetTodayHits( );
      if( $allow_pruning ) $client->PruneMSTables( );
   }

   // Store Online Information
   if( $member == 1 ) { $oluser = $msuser; } else { $oluser = "Guest"; }
   $result = $db->sql_query( "insert into $prefix"._msanalysis_online." ( oldate, oluser, olmodulename, oldomain, olcountry, olbrowser, olos, olip ) values ( '$logdate', '$oluser', '$moduleurl', '$country', '$description', '$browser', '$os', '$ip' )" );

   // Store Screen Resolution
   //
   // (c) http://www.phpbuddy.com (Feel free to use this script but keep this message intact)
   // Author: Ranjit Kumar (Cheif Editor phpbuddy.com)
   //
   if( ! isset( $_COOKIE["msa_resolution"] ) ) {
      ?>
      <script language="javascript"><!--
      writeCookie();
      function writeCookie() 
      {
         var today = new Date();
         var the_date = new Date("December 31, 2023");
         var the_cookie_date = the_date.toGMTString();
         var the_cookie = "msa_resolution="+ screen.width +"x"+ screen.height +"x"+ screen.colorDepth;
         var the_cookie = the_cookie + ";expires=" + the_cookie_date;
         document.cookie=the_cookie;
      }
      //--></script>
      <?
   } else {
      $screen_res = $_COOKIE["msa_resolution"]; 
      if( $screen_res != "" ) {
         $result = $db->sql_query( "select scr_res from $prefix"._msanalysis_scr." where scr_res = '$screen_res'" );
         if( $db->sql_numrows( $result ) == 0 ) { $result = $db->sql_query( "insert into $prefix"._msanalysis_scr." ( scr_res, hits, today, hitstoday, xdays, hitsxdays ) values ( '$screen_res', '1', '$slogdate', '1', '$xdate', '1' )" ); }
         else { $db->sql_query( "update $prefix"._msanalysis_scr." set hits=hits+1, today='$slogdate', hitstoday=hitstoday+1, hitsxdays=hitsxdays+1 where scr_res = '$screen_res'" ); }	
      }
   }

}

?>
