<?php

/************************************************************************************/
/*                                                                                  */
/* Maty Scripts Analysis for PHP-Nuke 6.5-6.8                                       */
/* v1.1                                                                             */
/*                                                                                  */
/* Copyright  2002 by: Maty Scripts (webmaster@matyscripts.com)                    */
/* http://www.matyscripts.com                                                       */
/*                                                                                  */
/* This program is free software. You can redistribute it and/or modify             */
/* it under the terms of the GNU General Public License as published by             */
/* the Free Software Foundation; either version 2 of the License.                   */
/*                                                                                  */
/************************************************************************************/

include("mainfile.php");
// Begin the installation
echo "Installing MS-Analysis v1.1.....<br>\n";

// Date of Today
$DateToday = date( "Y-m-d" );

// Begin the installation
#
# Table structure for table `nuke_msanalysis_admin`
#
echo "Creating the MS-Analysis Admin Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_admin (id int(11) NOT NULL auto_increment,
             max_items int(10) NOT NULL default '10',
             max_view int(10) NOT NULL default '25',
             max_online int(10) NOT NULL default '50',
             max_browse int(10) NOT NULL default '1000',
             search_store tinyint(1) unsigned NOT NULL default '0',
             overview tinyint(1) unsigned NOT NULL default '1',
             xdate date NOT NULL default '$DateToday',
             GMT_offset varchar(5) NOT NULL default '+2',
             get_country tinyint(1) NOT NULL default '0',
             allow_pruning tinyint(1) unsigned NOT NULL default '0',
             nbrdays int(3) unsigned NOT NULL default '30',
             begindate date NOT NULL default  '$DateToday',
             tcountries int(5) unsigned NOT NULL default '200',
             treferrals int(5) unsigned NOT NULL default '1000',
             tsearcheng int(5) unsigned NOT NULL default '250',
             tqueries int(5) unsigned NOT NULL default '1000',
             tbrowsers int(5) unsigned NOT NULL default '150',
             tcrawlers int(5) unsigned NOT NULL default '150',
             tos int(5) unsigned NOT NULL default '50',
             tmodules int(5) unsigned NOT NULL default '100',
             tusers int(5) unsigned NOT NULL default '5000',
             tresolution int(5) unsigned NOT NULL default '100',
             copyright varchar(25) NOT NULL default 'Maty Scripts',
             version varchar(25) NOT NULL default 'MS-Analysis v1.1',
             PRIMARY KEY  (id) ) ");

#
# Dumping data for table `nuke_msanalysis_admin`
#
echo "Filling the MS-Analysis Admin Table......<br>\n";
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_admin VALUES (1, 10, 30, 50, 1000, 0, 1, '$DateToday', '+2', 0, 0, 30, '$DateToday', 200, 1000, 250, 1000, 150, 150, 50, 100, 5000, 100, 'Maty Scripts', 'MS-Analysis v1.1') ");

#
# Table structure for table `nuke_msanalysis_modules`
#
echo "Creating the MS-Analysis Modules Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_modules (id int(11) NOT NULL auto_increment,
             modulename varchar(50) NOT NULL default '',  
             hits int(25) NOT NULL default '0',
             today date NOT NULL default '0000-00-00',
             hitstoday int(25) NOT NULL default '0',
             xdays date NOT NULL default '$DateToday',
             hitsxdays int(25) NOT NULL default '0',
             PRIMARY KEY  (id) ) ");

#
# Table structure for table `nuke_msanalysis_scr`
#
echo "Creating the MS-Analysis Screen Resolution Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_scr (id int(11) NOT NULL auto_increment,
             scr_res varchar(25) NOT NULL default '',
             hits int(25) NOT NULL default '0',
             today date NOT NULL default '0000-00-00',
             hitstoday int(25) NOT NULL default '0',
             xdays date NOT NULL default '$DateToday',
             hitsxdays int(25) NOT NULL default '0',
             PRIMARY KEY  (id) ) ");

#
# Table structure for table `nuke_msanalysis_referrals`
#
echo "Creating the MS-Analysis Referrals Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_referrals (id int(11) NOT NULL auto_increment,
             referral varchar(255) NOT NULL default '',  
             hits int(25) NOT NULL default '0',
             today date NOT NULL default '0000-00-00',
             hitstoday int(25) NOT NULL default '0',
             xdays date NOT NULL default '$DateToday',
             hitsxdays int(25) NOT NULL default '0',
             PRIMARY KEY  (id),
             KEY id (id),
             KEY referral (referral) ) ");             

#
# Table structure for table `nuke_msanalysis_countries`
#
echo "Creating the MS-Analysis Countries Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_countries (id int(11) NOT NULL auto_increment,
             domain char(20) NOT NULL default '',
             description char(50) NOT NULL default '',  
             hits int(25) NOT NULL default '0',
             today date NOT NULL default '0000-00-00',
             hitstoday int(25) NOT NULL default '0',
             xdays date NOT NULL default '$DateToday',
             hitsxdays int(25) NOT NULL default '0',
             PRIMARY KEY  (id) ) ");

#
# Table structure for table `nuke_msanalysis_browsers`
#
echo "Creating the MS-Analysis Browser Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_browsers (id int(11) NOT NULL auto_increment,
             ibrowser varchar(255) NOT NULL default '',
             hits int(25) NOT NULL default '0',
             today date NOT NULL default '0000-00-00',
             hitstoday int(25) NOT NULL default '0',
             xdays date NOT NULL default '$DateToday',
             hitsxdays int(25) NOT NULL default '0',
             PRIMARY KEY  (id) ) ");

#
# Table structure for table `nuke_msanalysis_os`
#
echo "Creating the MS-Analysis Operating System Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_os (id int(11) NOT NULL auto_increment,
             ios varchar(25) NOT NULL default '',
             hits int(25) NOT NULL default '0',
             today date NOT NULL default '0000-00-00',
             hitstoday int(25) NOT NULL default '0',
             xdays date NOT NULL default '$DateToday',
             hitsxdays int(25) NOT NULL default '0',
             PRIMARY KEY  (id) ) ");

#
# Table structure for table `nuke_msanalysis_search`
#
echo "Creating the MS-Analysis Search Engine Keywords Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_search (id int(11) NOT NULL auto_increment,
             words varchar(255) NOT NULL default '',
             hits int(25) NOT NULL default '0',
             today date NOT NULL default '0000-00-00',
             hitstoday int(25) NOT NULL default '0',
             xdays date NOT NULL default '$DateToday',
             hitsxdays int(25) NOT NULL default '0',
             PRIMARY KEY  (id) ) ");

#
# Table structure for table `nuke_msanalysis_users`
#
echo "Creating the MS-Analysis Users Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_users (uid int(11) NOT NULL auto_increment,
             uname varchar(25) NOT NULL default '',
             browser varchar(50) NOT NULL default '',
             os varchar(25) NOT NULL default '',
             ip_addr varchar(20) NOT NULL default '',  
             country char(50) NOT NULL default '',
             host varchar(100) NOT NULL default '',  
             time datetime NOT NULL default '0000-00-00 00:00:00',
             hits int(25) NOT NULL default '0',
             today date NOT NULL default '0000-00-00',
             hitstoday int(25) NOT NULL default '0',
             xdays date NOT NULL default '$DateToday',
             hitsxdays int(25) NOT NULL default '0',
             PRIMARY KEY  (uid),
             KEY uid (uid),
             KEY uname (uname) ) ");

#
# Table structure for table `nuke_msanalysis_online`
#
echo "Creating the MS-Analysis Online Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_online (uid int(11) NOT NULL auto_increment,
             oldate datetime NOT NULL default '0000-00-00 00:00:00',
             oluser varchar(25) NOT NULL default '',
             olmodulename varchar(50) NOT NULL default '',  
             oldomain char(20) NOT NULL default '',  
             olcountry char(50) NOT NULL default '',
             olbrowser varchar(50) NOT NULL default '',
             olos varchar(25) NOT NULL default '',
             olip varchar(20) NOT NULL default '',
             PRIMARY KEY  (uid) ) ");

#
# Table structure for table `nuke_msanalysis_domains`
#
echo "Creating the MS-Analysis Domain Table......<br>\n";
$db->sql_query( "CREATE TABLE ".$prefix."_msanalysis_domains (id int(11) NOT NULL auto_increment,
             domain char(20) NOT NULL default '',
             description char(50) NOT NULL default '',
             PRIMARY KEY  (id) ) ");

#
# Dumping data for table `nuke_msanalysis_domains`
#
echo "Filling the MS-Analysis Domain Table......<br>\n";
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (1, 'ac', 'Ascension Island') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (2, 'ad', 'Andorra') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (3, 'ae', 'United Arab Emirates') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (4, 'af', 'Afghanistan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (5, 'ag', 'Antigua and Barbuda') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (6, 'ai', 'Anguilla') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (7, 'al', 'Albania') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (8, 'am', 'Armenia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (9, 'an', 'Netherlands Antilles') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (10, 'ao', 'Angola') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (11, 'aq', 'Antartica') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (12, 'ar', 'Argentina') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (13, 'as', 'American Samoa') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (14, 'au', 'Australia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (15, 'aw', 'Aruba') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (16, 'az', 'Azerbaijan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (17, 'ba', 'Bosnia and Herzegovina') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (18, 'bb', 'Barbados') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (19, 'bd', 'Bangladesh') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (20, 'be', 'Belgium') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (21, 'bf', 'Burkina Faso') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (22, 'bg', 'Bulgaria') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (23, 'bh', 'Bahrain') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (24, 'bi', 'Burundi') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (25, 'bj', 'Benin') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (26, 'bm', 'Bermuda') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (27, 'bn', 'Brunei Darussalam') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (28, 'bo', 'Bolivia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (29, 'br', 'Brazil') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (30, 'bs', 'Bahamas') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (31, 'bt', 'Bhutan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (32, 'bv', 'Bouvet Island') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (33, 'bw', 'Botswana') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (34, 'by', 'Belarus') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (35, 'bz', 'Belize') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (36, 'ca', 'Canada') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (37, 'cc', 'Cocos (Keeling) Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (38, 'cd', 'Congo, The democratic republic of the') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (39, 'cf', 'Central African Republic') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (40, 'cg', 'Congo') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (41, 'ch', 'Switzerland') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (42, 'ci', 'Cote d\'Ivoire') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (43, 'ck', 'Cook Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (44, 'cl', 'Chile') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (45, 'cm', 'Cameroon') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (46, 'cn', 'China') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (47, 'co', 'Colombia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (48, 'cr', 'Costa Rica') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (49, 'cu', 'Cuba') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (50, 'cv', 'Cape Verde') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (51, 'cx', 'Christmas Island') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (52, 'cy', 'Cyprus') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (53, 'cz', 'Czech Republic') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (54, 'de', 'Germany') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (55, 'dj', 'Djibouti') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (56, 'dk', 'Denmark') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (57, 'dm', 'Dominica') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (58, 'do', 'Dominican Republic') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (59, 'dz', 'Algeria') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (60, 'ec', 'Ecuador') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (61, 'ee', 'Estonia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (62, 'eg', 'Egypt') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (63, 'eh', 'Western Sahara') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (64, 'er', 'Eritrea') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (65, 'es', 'Spain') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (66, 'et', 'Ethiopia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (67, 'fi', 'Finland') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (68, 'fj', 'Fiji') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (69, 'fk', 'Falkland Islands (Malvinas)') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (70, 'fm', 'Micronesia, Federal State of') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (71, 'fo', 'Faroe Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (72, 'fr', 'France') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (73, 'ga', 'Gabon') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (74, 'gd', 'Grenada') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (75, 'ge', 'Georgia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (76, 'gf', 'French Guiana') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (77, 'gg', 'Guernsey') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (78, 'gh', 'Ghana') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (79, 'gi', 'Gibraltar') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (80, 'gl', 'Greenland') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (81, 'gm', 'Gambia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (82, 'gn', 'Guinea') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (83, 'gp', 'Guadeloupe') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (84, 'gq', 'Equatorial Guinea') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (85, 'gr', 'Greece') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (86, 'gs', 'South Georgia and the South Sandwich Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (87, 'gt', 'Guatemala') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (88, 'gu', 'Guam') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (89, 'gw', 'Guinea-Bissau') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (90, 'gy', 'Guyana') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (91, 'hk', 'Hong Kong') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (92, 'hm', 'Heard and McDonald Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (93, 'hn', 'Honduras') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (94, 'hr', 'Croatia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (95, 'ht', 'Haiti') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (96, 'hu', 'Hungary') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (97, 'id', 'Indonesia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (98, 'ie', 'Ireland') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (99, 'il', 'Israel') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (100, 'im', 'Isle of Man') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (101, 'in', 'India') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (102, 'io', 'British Indian Ocean Territory') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (103, 'iq', 'Iraq') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (104, 'ir', 'Iran, Islamic Republic of') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (105, 'is', 'Iceland') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (106, 'it', 'Italy') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (107, 'je', 'Jersey') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (108, 'jm', 'Jamaica') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (109, 'jo', 'Jordan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (110, 'jp', 'Japan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (111, 'ke', 'Kenya') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (112, 'kg', 'Kyrgyzstan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (113, 'kh', 'Cambodia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (114, 'ki', 'Kiribati') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (115, 'km', 'Comoros') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (116, 'kn', 'Saint Kitts and Nevis') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (117, 'kp', 'Korea, Democratic People\'s Republic of') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (118, 'kr', 'Korea, Republic of') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (119, 'kw', 'Kuwait') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (120, 'ky', 'Cayman Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (121, 'kz', 'Kazakhstan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (122, 'la', 'Lao People\'s Democratic Republic') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (123, 'lb', 'Lebanon') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (124, 'lc', 'Saint Lucia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (125, 'li', 'Liechtenstein') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (126, 'lk', 'Sri Lanka') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (127, 'lr', 'Liberia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (128, 'ls', 'Lesotho') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (129, 'lt', 'Lithuania') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (130, 'lu', 'Luxembourg') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (131, 'lv', 'Latvia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (132, 'ly', 'Libyan Arab Jamahiriya') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (133, 'ma', 'Morocco') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (134, 'mc', 'Monaco') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (135, 'md', 'Moldova, Republic of') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (136, 'mg', 'Madagascar') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (137, 'mh', 'Marshall Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (138, 'mk', 'Macedonia, The Former Yugoslav Republic of') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (139, 'ml', 'Mali') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (140, 'mm', 'Myanmar') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (141, 'mn', 'Mongolia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (142, 'mo', 'Macao') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (143, 'mp', 'Northern Mariana Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (144, 'mq', 'Martinique') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (145, 'mr', 'Mauritania') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (146, 'ms', 'Montserrat') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (147, 'mt', 'Malta') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (148, 'mu', 'Mauritius') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (149, 'mv', 'Maldives') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (150, 'mw', 'Malawi') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (151, 'mx', 'Mexico') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (152, 'my', 'Malaysia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (153, 'mz', 'Mozambique') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (154, 'na', 'Namibia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (155, 'nc', 'New Caledonia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (156, 'ne', 'Niger') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (157, 'nf', 'Norfolk Island') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (158, 'ng', 'Nigeria') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (159, 'ni', 'Nicaragua') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (160, 'nl', 'Netherlands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (161, 'no', 'Norway') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (162, 'np', 'Nepal') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (163, 'nr', 'Nauru') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (164, 'nu', 'Niue') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (165, 'nz', 'New Zealand') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (166, 'om', 'Oman') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (167, 'pa', 'Panama') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (168, 'pe', 'Peru') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (169, 'pf', 'French Polynesia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (170, 'pg', 'Papua New Guinea') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (171, 'ph', 'Philippines') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (172, 'pk', 'Pakistan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (173, 'pl', 'Poland') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (174, 'pm', 'St. Pierre and Miquelon') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (175, 'pn', 'Pitcairn Island') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (176, 'pr', 'Puerto Rico') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (177, 'pt', 'Portugal') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (178, 'pw', 'Palau') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (179, 'py', 'Paraguay') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (180, 'qa', 'Qatar') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (181, 're', 'Reunion') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (182, 'ro', 'Romania') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (183, 'ru', 'Russian Federation') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (184, 'rw', 'Rwanda') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (185, 'sa', 'Saudi Arabia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (186, 'sb', 'Solomon Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (187, 'sc', 'Seychelles') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (188, 'sd', 'Sudan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (189, 'se', 'Sweden') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (190, 'sg', 'Singapore') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (191, 'sh', 'St. Helena') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (192, 'si', 'Slovenia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (193, 'sj', 'Svalbard and Jan Mayen Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (194, 'sk', 'Slovakia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (195, 'sl', 'Sierra Leone') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (196, 'sm', 'San Marino') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (197, 'sn', 'Senegal') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (198, 'so', 'Somalia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (199, 'sr', 'Suriname') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (200, 'st', 'Sao Tome and Principe') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (201, 'sv', 'El Salvador') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (202, 'sy', 'Syrian Arab Republic') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (203, 'sz', 'Swaziland') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (204, 'tc', 'Turks and Ciacos Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (205, 'td', 'Chad') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (206, 'tf', 'French Southern Territories') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (207, 'tg', 'Togo') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (208, 'th', 'Thailand') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (209, 'tj', 'Tajikistan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (210, 'tk', 'Tokelau') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (211, 'tm', 'Turkmenistan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (212, 'tn', 'Tunisia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (213, 'to', 'Tonga') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (214, 'tp', 'East Timor') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (215, 'tr', 'Turkey') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (216, 'tt', 'Trinidad and Tobago') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (217, 'tv', 'Tuvalu') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (218, 'tw', 'Taiwan, Province of China') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (219, 'tz', 'Tanzania, United Republic of') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (220, 'ua', 'Ukraine') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (221, 'ug', 'Uganda') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (222, 'uk', 'United Kingdom') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (223, 'gb', 'United Kingdom') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (224, 'um', 'US Minor Outlying Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (225, 'us', 'United States') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (226, 'uy', 'Uruguay') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (227, 'uz', 'Uzbekistan') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (228, 'va', 'Holy See (Vatican City State)') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (229, 'vc', 'Saint Vincent and the Grenadines') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (230, 've', 'Venezuela') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (231, 'vg', 'Virgin Islands (British)') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (232, 'vi', 'Virgin Islands (USA)') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (233, 'vn', 'Viet nam') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (234, 'vu', 'Vanuatu') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (235, 'wf', 'Wallis and Futuna Islands') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (236, 'ws', 'Western Samoa') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (237, 'ye', 'Yemen') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (238, 'yt', 'Mayotte') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (239, 'yu', 'Yugoslavia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (240, 'za', 'South Africa') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (241, 'zm', 'Zambia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (242, 'zr', 'Zaire') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (243, 'zw', 'Zimbabwe') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (244, 'com', 'COM') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (245, 'net', 'NET') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (246, 'org', 'ORG') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (247, 'edu', 'Education') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (248, 'int', 'INT') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (249, 'arpa', 'ARPA') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (250, 'at', 'Austria') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (251, 'gov', 'Governement') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (252, 'mil', 'Miltary') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (253, 'su', 'Ex U.S.R.R.') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (254, 'reverse', 'Reverse') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (255, 'biz', 'Businesses') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (256, 'info', 'INFO') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (257, 'name', 'NAME') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (258, 'pro', 'PRO') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (259, 'coop', 'COOP') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (260, 'aero', 'AERO') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (261, 'museum', 'MUSEUM') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (262, 'tv', 'TV') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (263, 'cs', 'Czechoslovakia') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (264, 'ps', 'Palestinian Territory, Occupied') ");
$db->sql_query( "INSERT INTO ".$prefix."_msanalysis_domains VALUES (265, 'ws', 'Samoa') ");


echo "Installation successful<br><br>\n";
echo "<b>Delete this file now!</b><br>\n";

?>
